Subject: Re: bug#69171: Moving packages out of core to ELPA

From: Stefan Monnier <[email-masked]>
Date: Sat, 17 Feb 2024 16:10:48 -0500

> I want to bring up a related point: it should be possible to retire
> packages from core, once their relevance drops below a critical
> threshold [1].

There can be other reasons for doing that, but: yes!

> I'd advocate moving IDLWAVE to ELPA, for the following reasons:

Sounds good, I'll add it GNU ELPA.
There remains the question about how to remove it from Emacs.

> [1] Such a threshold may be hard to define, but here is one idea: if
> the number of users who activate a mode on accident
> <https://www.reddit.com/r/emacs/comments/qefx8e/til_idl_is_a_thing_and_emacs_has_it/>
> is greater than the number who actively seek to do so, it may be time
> to retire a mode.

🙂

        Stefan